Crystal Space: csJoystickEventHelper Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csJoystickEventHelper Class Reference
[Event handling]

Helper class to conveniently deal with joystick events. More...

`#include <csutil/event.h>`

List of all members.

## Static Public Member Functions
static int | GetAxis (const iEvent *event, uint)
| retrieve any axis (basis 0) value
static uint | GetButton (const iEvent *event)
| retrieve button number
static uint32 | GetButtonMask (const iEvent *event)
| Retrieve current button mask.
static bool | GetButtonState (const iEvent *event)
| retrieve button state (pressed/released)
static bool | GetEventData (const iEvent *event, csJoystickEventData &data)
| Retrieve event data.
static uint32 | GetModifiers (const iEvent *event)
| Retrieve modifiers bitmask.
static void | GetModifiers (const iEvent *event, csKeyModifiers &modifiers)
| retrieve modifier flags
static uint | GetNumAxes (const iEvent *)
| retrieve number of axes
static uint | GetNumber (const iEvent *event)
| Retrieve joystick number (0, 1, 2, ...).
static int | GetX (const iEvent *event)
| Retrieve axis 0 value (X).
static int | GetY (const iEvent *event)
| Retrieve axis 1 value (Y).
static csEvent * | NewEvent (csRef< iEventNameRegistry > &reg, csTicks, csEventID name, int n, int x, int y, uint32 axesChanged, uint button, bool buttonState, uint32 buttonMask, uint32 modifiers)
| Create new joystick event.

## Detailed Description

Helper class to conveniently deal with joystick events.

Definition at line 154 of file event.h.

## Member Function Documentation

static int csJoystickEventHelper::GetAxis | ( | const iEvent * | event,
|  | uint |  |
| ) |  |  | `[static]`

retrieve any axis (basis 0) value

Referenced by GetX(), and GetY().

static uint csJoystickEventHelper::GetButton | ( | const iEvent * | event | ) | `[static]`

retrieve button number

static uint32 csJoystickEventHelper::GetButtonMask | ( | const iEvent * | event | ) | `[static]`

Retrieve current button mask.

static bool csJoystickEventHelper::GetButtonState | ( | const iEvent * | event | ) | `[static]`

retrieve button state (pressed/released)

static bool csJoystickEventHelper::GetEventData | ( | const iEvent * | event,
|  | csJoystickEventData & | data |
| ) |  |  | `[static]`

Retrieve event data.

static uint32 csJoystickEventHelper::GetModifiers | ( | const iEvent * | event | ) | `[inline, static]`

Retrieve modifiers bitmask.

Definition at line 189 of file event.h.

References csKeyEventHelper::GetModifiers(), and csKeyEventHelper::GetModifiersBits().

static void csJoystickEventHelper::GetModifiers | ( | const iEvent * | event,
|  | csKeyModifiers & | modifiers |
| ) |  |  | `[inline, static]`

retrieve modifier flags

Definition at line 186 of file event.h.

References csKeyEventHelper::GetModifiers().

static uint csJoystickEventHelper::GetNumAxes | ( | const iEvent * |  | ) | `[static]`

retrieve number of axes

static uint csJoystickEventHelper::GetNumber | ( | const iEvent * | event | ) | `[static]`

Retrieve joystick number (0, 1, 2, ...).

static int csJoystickEventHelper::GetX | ( | const iEvent * | event | ) | `[inline, static]`

Retrieve axis 0 value (X).

Definition at line 170 of file event.h.

References GetAxis().

static int csJoystickEventHelper::GetY | ( | const iEvent * | event | ) | `[inline, static]`

Retrieve axis 1 value (Y).

Definition at line 173 of file event.h.

References GetAxis().

static csEvent* csJoystickEventHelper::NewEvent | ( | csRef< iEventNameRegistry > & | reg,
|  | csTicks | ,
|  | csEventID | name,
|  | int | n,
|  | int | x,
|  | int | y,
|  | uint32 | axesChanged,
|  | uint | button,
|  | bool | buttonState,
|  | uint32 | buttonMask,
|  | uint32 | modifiers |
| ) |  |  | `[static]`

Create new joystick event.

The documentation for this class was generated from the following file:

- csutil/event.h